Index: trunk/sources/HeuristicLab.Core/3.3/OperatorBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/OperatorBase.cs	(revision 2523)
+++ trunk/sources/HeuristicLab.Core/3.3/OperatorBase.cs	(revision 2524)
@@ -31,5 +31,5 @@
   /// The base class for all operators.
   /// </summary>
-  public abstract class OperatorBase : ConstrainedItemBase, IOperator {
+  public abstract class OperatorBase : ItemBase, IOperator {
 
     [Storable]
@@ -154,31 +154,4 @@
       OnSubOperatorAdded(subOperator, mySubOperators.Count - 1);
     }
-    /// <inheritdoc cref="IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator)"/>
-    /// <param name="subOperator">The sub operator to add.</param>
-    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
-    public virtual bool TryAddSubOperator(IOperator subOperator) {
-      mySubOperators.Add(subOperator);
-      if (IsValid()) {
-        OnSubOperatorAdded(subOperator, mySubOperators.Count - 1);
-        return true;
-      } else {
-        mySubOperators.RemoveAt(mySubOperators.Count - 1);
-        return false;
-      }
-    }
-    /// <inheritdoc cref="HeuristicLab.Core.IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator, 
-    /// out System.Collections.Generic.ICollection&lt;HeuristicLab.Core.IConstraint&gt;)"/>
-    /// <param name="subOperator">The sub operator to add.</param>
-    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
-    public virtual bool TryAddSubOperator(IOperator subOperator, out ICollection<IConstraint> violatedConstraints) {
-      mySubOperators.Add(subOperator);
-      if (IsValid(out violatedConstraints)) {
-        OnSubOperatorAdded(subOperator, mySubOperators.Count - 1);
-        return true;
-      } else {
-        mySubOperators.RemoveAt(mySubOperators.Count - 1);
-        return false;
-      }
-    }
     /// <inheritdoc cref="HeuristicLab.Core.IOperator.AddSubOperator(HeuristicLab.Core.IOperator, int)"/>
     /// <param name="subOperator">The sub operator to add.</param>
@@ -188,31 +161,4 @@
       OnSubOperatorAdded(subOperator, index);
     }
-    /// <inheritdoc cref="IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator, int)"/>
-    /// <param name="subOperator">The sub operator to add.</param>
-    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
-    public virtual bool TryAddSubOperator(IOperator subOperator, int index) {
-      mySubOperators.Insert(index, subOperator);
-      if (IsValid()) {
-        OnSubOperatorAdded(subOperator, index);
-        return true;
-      } else {
-        mySubOperators.RemoveAt(index);
-        return false;
-      }
-    }
-    /// <inheritdoc cref="IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator, int, out
-    /// System.Collections.Generic.ICollection&lt;HeuristicLab.Core.IConstraint&gt;)"/>
-    /// <param name="subOperator">The sub operator to add.</param>
-    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
-    public virtual bool TryAddSubOperator(IOperator subOperator, int index, out ICollection<IConstraint> violatedConstraints) {
-      mySubOperators.Insert(index, subOperator);
-      if (IsValid(out violatedConstraints)) {
-        OnSubOperatorAdded(subOperator, index);
-        return true;
-      } else {
-        mySubOperators.RemoveAt(index);
-        return false;
-      }
-    }
     /// <inheritdoc/>
     /// <remarks>Calls <see cref="OnSubOperatorRemoved"/>.</remarks>
@@ -221,30 +167,4 @@
       mySubOperators.RemoveAt(index);
       OnSubOperatorRemoved(op, index);
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnSubOperatorRemoved"/>.</remarks>
-    public virtual bool TryRemoveSubOperator(int index) {
-      IOperator op = mySubOperators[index];
-      mySubOperators.RemoveAt(index);
-      if (IsValid()) {
-        OnSubOperatorRemoved(op, index);
-        return true;
-      } else {
-        mySubOperators.Insert(index, op);
-        return false;
-      }
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnSubOperatorRemoved"/>.</remarks>
-    public virtual bool TryRemoveSubOperator(int index, out ICollection<IConstraint> violatedConstraints) {
-      IOperator op = mySubOperators[index];
-      mySubOperators.RemoveAt(index);
-      if (IsValid(out violatedConstraints)) {
-        OnSubOperatorRemoved(op, index);
-        return true;
-      } else {
-        mySubOperators.Insert(index, op);
-        return false;
-      }
     }
     #endregion
@@ -266,28 +186,4 @@
     }
     /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableInfoAdded"/>.</remarks>
-    public virtual bool TryAddVariableInfo(IVariableInfo variableInfo) {
-      myVariableInfos.Add(variableInfo.FormalName, variableInfo);
-      if (IsValid()) {
-        OnVariableInfoAdded(variableInfo);
-        return true;
-      } else {
-        myVariableInfos.Remove(variableInfo.FormalName);
-        return false;
-      }
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableInfoAdded"/>.</remarks>
-    public virtual bool TryAddVariableInfo(IVariableInfo variableInfo, out ICollection<IConstraint> violatedConstraints) {
-      myVariableInfos.Add(variableInfo.FormalName, variableInfo);
-      if (IsValid(out violatedConstraints)) {
-        OnVariableInfoAdded(variableInfo);
-        return true;
-      } else {
-        myVariableInfos.Remove(variableInfo.FormalName);
-        return false;
-      }
-    }
-    /// <inheritdoc/>
     /// <remarks>Calls <see cref="OnVariableInfoRemoved"/>.</remarks>
     public virtual void RemoveVariableInfo(string formalName) {
@@ -297,37 +193,4 @@
         OnVariableInfoRemoved(variableInfo);
       }
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableInfoRemoved"/>.</remarks>
-    public virtual bool TryRemoveVariableInfo(string formalName) {
-      IVariableInfo variableInfo;
-      if (myVariableInfos.TryGetValue(formalName, out variableInfo)) {
-        myVariableInfos.Remove(formalName);
-        if (IsValid()) {
-          OnVariableInfoRemoved(variableInfo);
-          return true;
-        } else {
-          myVariableInfos.Add(formalName, variableInfo);
-          return false;
-        }
-      }
-      return true;
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableInfoRemoved"/>.</remarks>
-    public virtual bool TryRemoveVariableInfo(string formalName, out ICollection<IConstraint> violatedConstraints) {
-      IVariableInfo variableInfo;
-      if (myVariableInfos.TryGetValue(formalName, out variableInfo)) {
-        myVariableInfos.Remove(formalName);
-        if (IsValid(out violatedConstraints)) {
-          OnVariableInfoRemoved(variableInfo);
-          return true;
-        } else {
-          myVariableInfos.Add(formalName, variableInfo);
-          return false;
-        }
-      }
-      violatedConstraints = new List<IConstraint>();
-      return true;
     }
     #endregion
@@ -350,34 +213,4 @@
       variable.NameChanged += new EventHandler(Variable_NameChanged);
       OnVariableAdded(variable);
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableAdded"/> and adds <c>NameChanging</c> and <c>NameChanged</c>
-    /// event handlers.</remarks>
-    public virtual bool TryAddVariable(IVariable variable) {
-      myVariables.Add(variable.Name, variable);
-      if (IsValid()) {
-        variable.NameChanging += new EventHandler<CancelEventArgs<string>>(Variable_NameChanging);
-        variable.NameChanged += new EventHandler(Variable_NameChanged);
-        OnVariableAdded(variable);
-        return true;
-      } else {
-        myVariableInfos.Remove(variable.Name);
-        return false;
-      }
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableAdded"/> and adds <c>NameChanging</c> and <c>NameChanged</c>
-    /// event handlers.</remarks>
-    public virtual bool TryAddVariable(IVariable variable, out ICollection<IConstraint> violatedConstraints) {
-      myVariables.Add(variable.Name, variable);
-      if (IsValid(out violatedConstraints)) {
-        variable.NameChanging += new EventHandler<CancelEventArgs<string>>(Variable_NameChanging);
-        variable.NameChanged += new EventHandler(Variable_NameChanged);
-        OnVariableAdded(variable);
-        return true;
-      } else {
-        myVariableInfos.Remove(variable.Name);
-        return false;
-      }
     }
     /// <inheritdoc/>
@@ -392,43 +225,4 @@
         OnVariableRemoved(variable);
       }
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableRemoved"/> and removes <c>NameChanging</c> and <c>NameChanged</c>
-    /// event handlers.</remarks>
-    public virtual bool TryRemoveVariable(string name) {
-      IVariable variable;
-      if (myVariables.TryGetValue(name, out variable)) {
-        myVariables.Remove(name);
-        if (IsValid()) {
-          variable.NameChanging -= new EventHandler<CancelEventArgs<string>>(Variable_NameChanging);
-          variable.NameChanged -= new EventHandler(Variable_NameChanged);
-          OnVariableRemoved(variable);
-          return true;
-        } else {
-          myVariables.Add(name, variable);
-          return false;
-        }
-      }
-      return true;
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableRemoved"/> and removes <c>NameChanging</c> and <c>NameChanged</c>
-    /// event handlers.</remarks>
-    public virtual bool TryRemoveVariable(string name, out ICollection<IConstraint> violatedConstraints) {
-      IVariable variable;
-      if (myVariables.TryGetValue(name, out variable)) {
-        myVariables.Remove(name);
-        if (IsValid(out violatedConstraints)) {
-          variable.NameChanging -= new EventHandler<CancelEventArgs<string>>(Variable_NameChanging);
-          variable.NameChanged -= new EventHandler(Variable_NameChanged);
-          OnVariableRemoved(variable);
-          return true;
-        } else {
-          myVariables.Add(name, variable);
-          return false;
-        }
-      }
-      violatedConstraints = new List<IConstraint>();
-      return true;
     }
     private void Variable_NameChanging(object sender, CancelEventArgs<string> e) {
Index: trunk/sources/HeuristicLab.Data/3.3/HeuristicLab.Data-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/HeuristicLab.Data-3.3.csproj	(revision 2523)
+++ trunk/sources/HeuristicLab.Data/3.3/HeuristicLab.Data-3.3.csproj	(revision 2524)
@@ -128,26 +128,4 @@
       <DependentUpon>BoolMatrixDataView.cs</DependentUpon>
     </Compile>
-    <Compile Include="ConstrainedItemList.cs" />
-    <Compile Include="ConstrainedItemListView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="ConstrainedItemListView.Designer.cs">
-      <DependentUpon>ConstrainedItemListView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="ConstrainedObjectData.cs" />
-    <Compile Include="ConstrainedIntData.cs" />
-    <Compile Include="ConstrainedIntDataView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="ConstrainedIntDataView.Designer.cs">
-      <DependentUpon>ConstrainedIntDataView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="ConstrainedDoubleData.cs" />
-    <Compile Include="ConstrainedDoubleDataView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="ConstrainedDoubleDataView.Designer.cs">
-      <DependentUpon>ConstrainedDoubleDataView.cs</DependentUpon>
-    </Compile>
     <Compile Include="EditKeyValueDialog.cs">
       <SubType>Form</SubType>
@@ -277,16 +255,4 @@
     <EmbeddedResource Include="BoolDataView.resx">
       <DependentUpon>BoolDataView.cs</DependentUpon>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
-    <EmbeddedResource Include="ConstrainedIntDataView.resx">
-      <DependentUpon>ConstrainedIntDataView.cs</DependentUpon>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
-    <EmbeddedResource Include="ConstrainedDoubleDataView.resx">
-      <DependentUpon>ConstrainedDoubleDataView.cs</DependentUpon>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
-    <EmbeddedResource Include="ConstrainedItemListView.resx">
-      <DependentUpon>ConstrainedItemListView.cs</DependentUpon>
       <SubType>Designer</SubType>
     </EmbeddedResource>
Index: trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs	(revision 2523)
+++ trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs	(revision 2524)
@@ -57,6 +57,4 @@
       this.variablesTabPage = new System.Windows.Forms.TabPage();
       this.operatorBaseVariablesView = new HeuristicLab.Core.Views.OperatorBaseVariablesView();
-      this.constraintsTabPage = new System.Windows.Forms.TabPage();
-      this.constrainedItemBaseView = new HeuristicLab.Core.Views.ConstrainedItemBaseView();
       this.descriptionTabPage = new System.Windows.Forms.TabPage();
       this.descriptionTextBox = new System.Windows.Forms.TextBox();
@@ -65,5 +63,4 @@
       this.variableInfosTabPage.SuspendLayout();
       this.variablesTabPage.SuspendLayout();
-      this.constraintsTabPage.SuspendLayout();
       this.descriptionTabPage.SuspendLayout();
       this.SuspendLayout();
@@ -74,5 +71,4 @@
       this.tabControl.Controls.Add(this.variableInfosTabPage);
       this.tabControl.Controls.Add(this.variablesTabPage);
-      this.tabControl.Controls.Add(this.constraintsTabPage);
       this.tabControl.Controls.Add(this.descriptionTabPage);
       this.tabControl.Dock = System.Windows.Forms.DockStyle.Fill;
@@ -206,25 +202,4 @@
       this.operatorBaseVariablesView.TabIndex = 0;
       // 
-      // constraintsTabPage
-      // 
-      this.constraintsTabPage.Controls.Add(this.constrainedItemBaseView);
-      this.constraintsTabPage.Location = new System.Drawing.Point(4, 22);
-      this.constraintsTabPage.Name = "constraintsTabPage";
-      this.constraintsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.constraintsTabPage.Size = new System.Drawing.Size(427, 325);
-      this.constraintsTabPage.TabIndex = 3;
-      this.constraintsTabPage.Text = "Constraints";
-      this.constraintsTabPage.UseVisualStyleBackColor = true;
-      // 
-      // constrainedItemBaseView
-      // 
-      this.constrainedItemBaseView.Caption = "Constrained Item";
-      this.constrainedItemBaseView.ConstrainedItem = null;
-      this.constrainedItemBaseView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.constrainedItemBaseView.Location = new System.Drawing.Point(3, 3);
-      this.constrainedItemBaseView.Name = "constrainedItemBaseView";
-      this.constrainedItemBaseView.Size = new System.Drawing.Size(421, 319);
-      this.constrainedItemBaseView.TabIndex = 0;
-      // 
       // descriptionTabPage
       // 
@@ -262,5 +237,4 @@
       this.variableInfosTabPage.ResumeLayout(false);
       this.variablesTabPage.ResumeLayout(false);
-      this.constraintsTabPage.ResumeLayout(false);
       this.descriptionTabPage.ResumeLayout(false);
       this.descriptionTabPage.PerformLayout();
@@ -278,6 +252,4 @@
     private System.Windows.Forms.TabPage variablesTabPage;
     private HeuristicLab.Core.Views.OperatorBaseVariablesView operatorBaseVariablesView;
-    private System.Windows.Forms.TabPage constraintsTabPage;
-    private HeuristicLab.Core.Views.ConstrainedItemBaseView constrainedItemBaseView;
     private System.Windows.Forms.TabPage descriptionTabPage;
     private System.Windows.Forms.TextBox descriptionTextBox;
Index: trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.cs	(revision 2523)
+++ trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.cs	(revision 2524)
@@ -51,5 +51,4 @@
       operatorBaseVariableInfosView.Operator = null;
       operatorBaseVariablesView.Operator = null;
-      constrainedItemBaseView.ConstrainedItem = null;
       ProgrammableOperator.CodeChanged -= new EventHandler(ProgrammableOperator_CodeChanged);
       ProgrammableOperator.DescriptionChanged -= new EventHandler(ProgrammableOperator_DescriptionChanged);
@@ -61,5 +60,4 @@
       operatorBaseVariableInfosView.Operator = ProgrammableOperator;
       operatorBaseVariablesView.Operator = ProgrammableOperator;
-      constrainedItemBaseView.ConstrainedItem = ProgrammableOperator;
       ProgrammableOperator.CodeChanged += new EventHandler(ProgrammableOperator_CodeChanged);
       ProgrammableOperator.DescriptionChanged += new EventHandler(ProgrammableOperator_DescriptionChanged);
Index: trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.Designer.cs	(revision 2523)
+++ trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.Designer.cs	(revision 2524)
@@ -52,6 +52,4 @@
       this.variablesTabPage = new System.Windows.Forms.TabPage();
       this.operatorBaseVariablesView = new HeuristicLab.Core.Views.OperatorBaseVariablesView();
-      this.constraintsTabPage = new System.Windows.Forms.TabPage();
-      this.constrainedItemBaseView = new HeuristicLab.Core.Views.ConstrainedItemBaseView();
       this.descriptionTabPage = new System.Windows.Forms.TabPage();
       this.descriptionTextBox = new System.Windows.Forms.TextBox();
@@ -62,5 +60,4 @@
       this.variableInfosTabPage.SuspendLayout();
       this.variablesTabPage.SuspendLayout();
-      this.constraintsTabPage.SuspendLayout();
       this.descriptionTabPage.SuspendLayout();
       this.SuspendLayout();
@@ -71,5 +68,4 @@
       this.tabControl.Controls.Add(this.variableInfosTabPage);
       this.tabControl.Controls.Add(this.variablesTabPage);
-      this.tabControl.Controls.Add(this.constraintsTabPage);
       this.tabControl.Controls.Add(this.descriptionTabPage);
       this.tabControl.Dock = System.Windows.Forms.DockStyle.Fill;
@@ -148,25 +144,4 @@
       this.operatorBaseVariablesView.TabIndex = 0;
       // 
-      // constraintsTabPage
-      // 
-      this.constraintsTabPage.Controls.Add(this.constrainedItemBaseView);
-      this.constraintsTabPage.Location = new System.Drawing.Point(4, 22);
-      this.constraintsTabPage.Name = "constraintsTabPage";
-      this.constraintsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.constraintsTabPage.Size = new System.Drawing.Size(389, 309);
-      this.constraintsTabPage.TabIndex = 3;
-      this.constraintsTabPage.Text = "Constraints";
-      this.constraintsTabPage.UseVisualStyleBackColor = true;
-      // 
-      // constrainedItemBaseView
-      // 
-      this.constrainedItemBaseView.Caption = "Constrained Item";
-      this.constrainedItemBaseView.ConstrainedItem = null;
-      this.constrainedItemBaseView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.constrainedItemBaseView.Location = new System.Drawing.Point(3, 3);
-      this.constrainedItemBaseView.Name = "constrainedItemBaseView";
-      this.constrainedItemBaseView.Size = new System.Drawing.Size(383, 303);
-      this.constrainedItemBaseView.TabIndex = 0;
-      // 
       // descriptionTabPage
       // 
@@ -226,5 +201,4 @@
       this.variableInfosTabPage.ResumeLayout(false);
       this.variablesTabPage.ResumeLayout(false);
-      this.constraintsTabPage.ResumeLayout(false);
       this.descriptionTabPage.ResumeLayout(false);
       this.descriptionTabPage.PerformLayout();
@@ -239,5 +213,4 @@
     private System.Windows.Forms.TabPage variableInfosTabPage;
     private System.Windows.Forms.TabPage variablesTabPage;
-    private System.Windows.Forms.TabPage constraintsTabPage;
     private System.Windows.Forms.TabPage descriptionTabPage;
     private System.Windows.Forms.TextBox descriptionTextBox;
@@ -245,5 +218,4 @@
     private HeuristicLab.Core.Views.OperatorBaseVariableInfosView operatorBaseVariableInfosView;
     private HeuristicLab.Core.Views.OperatorBaseVariablesView operatorBaseVariablesView;
-    private HeuristicLab.Core.Views.ConstrainedItemBaseView constrainedItemBaseView;
     private System.Windows.Forms.Button removeVariableInfoButton;
     private System.Windows.Forms.Button addVariableInfoButton;
Index: trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.cs	(revision 2523)
+++ trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.cs	(revision 2524)
@@ -55,5 +55,4 @@
       operatorBaseVariableInfosView.Operator = null;
       operatorBaseVariablesView.Operator = null;
-      constrainedItemBaseView.ConstrainedItem = null;
       CombinedOperator.DescriptionChanged -= new EventHandler(CombinedOperator_DescriptionChanged);
       base.RemoveItemEvents();
@@ -69,5 +68,4 @@
       operatorBaseVariableInfosView.Operator = CombinedOperator;
       operatorBaseVariablesView.Operator = CombinedOperator;
-      constrainedItemBaseView.ConstrainedItem = CombinedOperator;
       CombinedOperator.DescriptionChanged += new EventHandler(CombinedOperator_DescriptionChanged);
     }
Index: trunk/sources/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj	(revision 2523)
+++ trunk/sources/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj	(revision 2524)
@@ -139,8 +139,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Constraints\3.3\HeuristicLab.Constraints-3.3.csproj">
-      <Project>{19C1E42A-4B48-4EFD-B697-899016F1C198}</Project>
-      <Name>HeuristicLab.Constraints-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core.Views\3.3\HeuristicLab.Core.Views-3.3.csproj">
       <Project>{E226881D-315F-423D-B419-A766FE0D8685}</Project>
Index: trunk/sources/HeuristicLab.Operators/3.3/HeuristicLabOperatorsPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/HeuristicLabOperatorsPlugin.cs	(revision 2523)
+++ trunk/sources/HeuristicLab.Operators/3.3/HeuristicLabOperatorsPlugin.cs	(revision 2524)
@@ -31,5 +31,4 @@
   [ClassInfo(Name = "HeuristicLab.Operators-3.3")]
   [PluginFile(Filename = "HeuristicLab.Operators-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Constraints-3.3")]
   [Dependency(Dependency = "HeuristicLab.Core-3.3")]
   [Dependency(Dependency = "HeuristicLab.Core.Views-3.3")]
Index: trunk/sources/HeuristicLab.Random/3.3/HeuristicLab.Random-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Random/3.3/HeuristicLab.Random-3.3.csproj	(revision 2523)
+++ trunk/sources/HeuristicLab.Random/3.3/HeuristicLab.Random-3.3.csproj	(revision 2524)
@@ -96,8 +96,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Constraints\3.3\HeuristicLab.Constraints-3.3.csproj">
-      <Project>{19C1E42A-4B48-4EFD-B697-899016F1C198}</Project>
-      <Name>HeuristicLab.Constraints-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
       <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
Index: trunk/sources/HeuristicLab.Random/3.3/NormalRandomAdder.cs
===================================================================
--- trunk/sources/HeuristicLab.Random/3.3/NormalRandomAdder.cs	(revision 2523)
+++ trunk/sources/HeuristicLab.Random/3.3/NormalRandomAdder.cs	(revision 2524)
@@ -25,5 +25,4 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Constraints;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -106,8 +105,4 @@
       if (value is IntData)
         AddNormal((IntData)value, normal);
-      else if (value is ConstrainedIntData)
-        AddNormal((ConstrainedIntData)value, normal);
-      else if (value is ConstrainedDoubleData)
-        AddNormal((ConstrainedDoubleData)value, normal);
       else if (value is DoubleData)
         AddNormal((DoubleData)value, normal);
@@ -125,26 +120,4 @@
 
     /// <summary>
-    /// Generates a new double random number and adds it to the value of the given <paramref name="data"/>
-    /// checking its constraints.
-    /// </summary>
-    /// <exception cref="InvalidProgramException">Thrown when with the current settings no valid value
-    /// could be found.</exception>
-    /// <param name="data">The double object where to add the random number and whose constraints
-    /// to fulfill.</param>
-    /// <param name="normal">The continuous, normally distributed random variable.</param>
-    public void AddNormal(ConstrainedDoubleData data, NormalDistributedRandom normal) {
-      for (int tries = MAX_NUMBER_OF_TRIES; tries >= 0; tries--) {
-        double newValue = data.Data + normal.NextDouble();
-        if (IsIntegerConstrained(data)) {
-          newValue = Math.Round(newValue);
-        }
-        if (data.TrySetData(newValue)) {
-          return;
-        }
-      }
-      throw new InvalidProgramException("Coudn't find a valid value");
-    }
-
-    /// <summary>
     /// Generates a new int random number and adds it to value of the given <paramref name="data"/>.
     /// </summary>
@@ -154,29 +127,4 @@
       data.Data = (int)Math.Round(data.Data + normal.NextDouble());
     }
-
-    /// <summary>
-    /// Generates a new int random number and adds it to the value of the given <paramref name="data"/>
-    /// checking its constraints.
-    /// </summary>
-    /// <exception cref="InvalidProgramException">Thrown when with the current settings no valid value 
-    /// could be found.</exception>
-    /// <param name="data">The int object where to add the generated value and whose contraints to check.</param>
-    /// <param name="normal">The continuous, normally distributed random variable.</param>
-    public void AddNormal(ConstrainedIntData data, NormalDistributedRandom normal) {
-      for (int tries = MAX_NUMBER_OF_TRIES; tries >= 0; tries--) {
-        if (data.TrySetData((int)Math.Round(data.Data + normal.NextDouble())))
-          return;
-      }
-      throw new InvalidProgramException("Couldn't find a valid value.");
-    }
-
-    private bool IsIntegerConstrained(ConstrainedDoubleData data) {
-      foreach (IConstraint constraint in data.Constraints) {
-        if (constraint is IsIntegerConstraint) {
-          return true;
-        }
-      }
-      return false;
-    }
   }
 }
Index: trunk/sources/HeuristicLab.Random/3.3/NormalRandomizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Random/3.3/NormalRandomizer.cs	(revision 2523)
+++ trunk/sources/HeuristicLab.Random/3.3/NormalRandomizer.cs	(revision 2524)
@@ -25,5 +25,4 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Constraints;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -98,52 +97,7 @@
       if (value is IntData)
         RandomizeNormal((IntData)value, n);
-      else if (value is ConstrainedIntData)
-        RandomizeNormal((ConstrainedIntData)value, n);
       else if (value is DoubleData)
         RandomizeNormal((DoubleData)value, n);
-      else if (value is ConstrainedDoubleData)
-        RandomizeNormal((ConstrainedDoubleData)value, n);
       else throw new InvalidOperationException("Can't handle type " + value.GetType().Name);
-    }
-
-    /// <summary>
-    /// Generates a new double random variable based on a continuous, normally distributed random number generator
-    /// <paramref name="normal"/> and checks some contraints.
-    /// </summary>
-    /// <exception cref="InvalidOperationException">Thrown when with the given settings no valid value in
-    /// 100 tries could be found.
-    /// </exception>
-    /// <param name="data">The double object where to assign the new number to and whose constraints
-    /// must be fulfilled.</param>
-    /// <param name="normal">The continuous, normally distributed random variable.</param>
-    public void RandomizeNormal(ConstrainedDoubleData data, NormalDistributedRandom normal) {
-      for (int tries = MAX_NUMBER_OF_TRIES; tries >= 0; tries--) {
-        double r = normal.NextDouble();
-        if (IsIntegerConstrained(data)) {
-          r = Math.Round(r);
-        }
-        if (data.TrySetData(r)) {
-          return;
-        }
-      }
-      throw new InvalidOperationException("Couldn't find a valid value in 100 tries with mu=" + normal.Mu + " sigma=" + normal.Sigma);
-    }
-
-    /// <summary>
-    /// Generates a new int random variable based on a continuous, normally distributed random number 
-    /// generator <paramref name="normal"/> and checks some constraints.
-    /// </summary>
-    /// <exception cref="InvalidOperationException">Thrown when with the given settings no valid
-    /// value could be found.</exception>
-    /// <param name="data">The int object where to assign the new value to and whose constraints must
-    /// be fulfilled.</param>
-    /// <param name="normal">The continuous, normally distributed random variable.</param>
-    public void RandomizeNormal(ConstrainedIntData data, NormalDistributedRandom normal) {
-      for (int tries = MAX_NUMBER_OF_TRIES; tries >= 0; tries--) {
-        double r = normal.NextDouble();
-        if (data.TrySetData((int)Math.Round(r))) // since r is a continuous, normally distributed random variable rounding should be OK
-          return;
-      }
-      throw new InvalidOperationException("Couldn't find a valid value");
     }
 
@@ -167,14 +121,4 @@
       data.Data = (int)Math.Round(normal.NextDouble());
     }
-
-
-    private bool IsIntegerConstrained(ConstrainedDoubleData data) {
-      foreach (IConstraint constraint in data.Constraints) {
-        if (constraint is IsIntegerConstraint) {
-          return true;
-        }
-      }
-      return false;
-    }
   }
 }
